Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.contains
Class ContainsWidget_AbstractAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.widget.contains.ContainsWidget_AbstractAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Direct Known Subclasses:
  ContainsWidget_AddAction, ContainsWidget_CreateAction, ContainsWidget_DeleteAction, ContainsWidget_PrototypeAction, ContainsWidget_RemoveAction, ContainsWidget_ViewAction

    public abstract class ContainsWidget_AbstractAction

extends AbstractAction

Description of the Class

Author:
  William Grosso
See Also:
  Serialized Form

Field Summary
`protected KnowledgeBase` | `_kb`
`protected Project` | `_project`
`protected ContainsWidgetState` | `_state`
`protected ContainsWidget` | `_widget`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`ContainsWidget_AbstractAction(ContainsWidget widget, String tooltipString, Icon icon)`

Method Summary
`abstract void` | `actionPerformed(ActionEvent e)`
`protected Collection` | `getAllowedClasses()`
`protected void` | `updateActivation()`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _widget

    protected ContainsWidget _widget

### _project

    protected Project _project

### _kb

    protected KnowledgeBase _kb

### _state

    protected ContainsWidgetState _state

Constructor Detail

### ContainsWidget_AbstractAction

    public ContainsWidget_AbstractAction(ContainsWidget widget,
                                         String tooltipString,
                                         Icon icon)

Method Detail

### actionPerformed

    public abstract void actionPerformed(ActionEvent e)

### getAllowedClasses

    protected Collection getAllowedClasses()

### updateActivation

    protected void updateActivation()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request